Subject: Re: [GIT PULL] Please pull JSON files for Power9 PMU events

From: Jiri Olsa <[email-masked]>
Date: Thu, 13 Jul 2017 10:09:19 +0200

On Thu, Jul 13, 2017 at 01:43:41PM +1000, Michael Ellerman wrote:
> Sukadev Bhattiprolu <[email-masked]> writes:
> ...
> >
> >  tools/perf/pmu-events/arch/powerpc/mapfile.csv     |   3 +
> >  .../perf/pmu-events/arch/powerpc/power9/cache.json | 176 +++++
> >  .../arch/powerpc/power9/floating-point.json        |  44 ++
> >  .../pmu-events/arch/powerpc/power9/frontend.json   | 446 +++++++++++
> >  .../pmu-events/arch/powerpc/power9/marked.json     | 782 +++++++++++++++++++
> >  .../pmu-events/arch/powerpc/power9/memory.json     | 158 ++++
> 
> In the map file we have "power9.json", but the files are power9/x.json.
> How does that work?

hum, we take just the base name from that string and use it
as a map to the directory/struct with events.. so no harm done

I guess it's the leftover from when we switched from single file
to per topic event files.. x86 arch seems to have it right

I'll send the fix

thanks,
jirka